custom_field.archive
Archive a custom field (never delete — order snapshots reference the type).
- Scope:
custom_fields.write - System: no
- Reachable from:
POST /v1/commands/custom_field.archive(tenant credential) · MCP toolcustom_field.archive· SDKclient.call('custom_field.archive', …) - Events:
custom_field.updated
Input (JSON Schema)
Section titled “Input (JSON Schema)”{ "properties": { "key": { "minLength": 1, "type": "string" }, "owner_entity": { "enum": [ "product", "cart", "cart_line", "cart_customer", "order", "order_line", "customer", "category", "store" ], "type": "string" } }, "required": [ "owner_entity", "key" ], "type": "object"}Result (200)
Section titled “Result (200)”{ "additionalProperties": false, "properties": { "archived": { "type": "boolean" }, "definition_id": { "type": "string" } }, "required": [ "definition_id", "archived" ], "type": "object"}Errors
Section titled “Errors”validation_failed (400) · unauthorized (401) · forbidden (403) · conflict (409) · internal (500)